
#ifndef SRC_PLANSERVICE_H
#define SRC_PLANSERVICE_H

#include <LanePlan.h>

namespace jf {
    class PlanService {
    public:
        PlanService();
        bool setTargetPoint(std::vector<Point> vctTargetPoint, std::vector<Point>& resultVctPoint);

    private:
        LanePlan lanePlan;

    };
}

#endif //SRC_PLANSERVICE_H
